PAM_ERROR(3)

NAME
pam_error, pam_verror - display error messages to the user

SYNOPSIS

#include <security/pam_ext.h>

int pam_error(pam_handle_t *pamh, const char *fmt, ...);

int pam_verror(pam_handle_t *pamh, const char *fmt, va_list args);

DESCRIPTION

The pam_error function prints error messages through the conversation function to the user.

The pam_verror function performs the same task as pam_error() with the difference that it takes a set of arguments which have been obtained using the stdarg(3) variable argument list macros.

RETURN VALUES

PAM_BUF_ERR
    Memory buffer error.

PAM_CONV_ERR
    Conversation failure.

PAM_SUCCESS
    Error message was displayed.

PAM_SYSTEM_ERR
    System error.

SEE ALSO

pam_info(3), pam_vinfo(3), pam_prompt(3), pam_vprompt(3), pam(8)

STANDARDS

The pam_error and pam_verror functions are Linux-PAM extensions.